Last modified: 2012-04-19 21:22:14 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28084 - Create a module for MediaWiki:Filepage.css and use it
Create a module for MediaWiki:Filepage.css and use it
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
File management (Other open bugs)
1.17.x
All All
: Normal enhancement (vote)
: 1.18.0 release
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-16 22:45 UTC by Krinkle
Modified: 2012-04-19 21:22 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Krinkle 2011-03-16 22:45:01 UTC
Instead of

<link rel="stylesheet" href="http://commons.wikimedia.org/w/index.php?title=MediaWiki:Filepage.css&amp;action=raw&amp;maxage=2678400&amp;usemsgcache=yes&amp;ctype=text%2Fcss&amp;smaxage=2678400" type="text/css" media="all" />

it should be a call to load.php of the foreign wiki loading module=filepage with only=styles and in the <head> section of the DOM ( addModuleScripts ).

This way it'll be minified and cached accordingly

See also bug 28083 (Only load it if the page exists / non-empty on the remote wiki)
Comment 1 Bryan Tong Minh 2011-03-17 08:33:14 UTC
Take into account that multiple foreign repos may exist and as such the module should accept a parameter to indicate which repo to get the CSS from.
Comment 2 Krinkle 2011-06-04 17:24:24 UTC
Removing dependancy on ResourceLoader 1.0 implementation. This is a seperate issue (not even a bug, btu an enhancement)
Comment 3 Krinkle 2011-07-28 00:10:57 UTC
Fixed in r91031.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links